<?xml version="1.0" encoding="UTF-8"?><rss version="2.0"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:atom="http://www.w3.org/2005/Atom"
	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
		>
<channel>
	<title>Comments on: BASH Pipeline Exit Codes</title>
	<atom:link href="http://www.briandowney.net/blog/2008/05/05/bash-pipeline-exit-codes/feed/" rel="self" type="application/rss+xml" />
	<link>http://www.briandowney.net/blog/2008/05/05/bash-pipeline-exit-codes/</link>
	<description>Technical musings of an entrepreneur.</description>
	<lastBuildDate>Mon, 03 May 2010 16:57:35 +0000</lastBuildDate>
	<generator>http://wordpress.org/?v=2.9.2</generator>
	<sy:updatePeriod>hourly</sy:updatePeriod>
	<sy:updateFrequency>1</sy:updateFrequency>
		<item>
		<title>By: Brian</title>
		<link>http://www.briandowney.net/blog/2008/05/05/bash-pipeline-exit-codes/comment-page-1/#comment-320</link>
		<dc:creator>Brian</dc:creator>
		<pubDate>Sun, 18 May 2008 20:09:32 +0000</pubDate>
		<guid isPermaLink="false">http://www.briandowney.net/blog/?p=99#comment-320</guid>
		<description>Len, you might want to try using &quot;set -e&quot; in your script.  It will terminate the shell if any command exits with non-zero.

You might also want to try something like:

cmd1 &#124;&#124; exit 1 &#124; cmd2   

I haven&#039;t tested it, that&#039;s just off the top of my head.</description>
		<content:encoded><![CDATA[<p>Len, you might want to try using &#8220;set -e&#8221; in your script.  It will terminate the shell if any command exits with non-zero.</p>
<p>You might also want to try something like:</p>
<p>cmd1 || exit 1 | cmd2   </p>
<p>I haven&#8217;t tested it, that&#8217;s just off the top of my head.</p>
]]></content:encoded>
	</item>
	<item>
		<title>By: Len</title>
		<link>http://www.briandowney.net/blog/2008/05/05/bash-pipeline-exit-codes/comment-page-1/#comment-319</link>
		<dc:creator>Len</dc:creator>
		<pubDate>Sun, 18 May 2008 19:36:21 +0000</pubDate>
		<guid isPermaLink="false">http://www.briandowney.net/blog/?p=99#comment-319</guid>
		<description>This makes sense.  What I am puzzling over at the moment is how to terminate
the flow in a pipeline if say the first command in the pipeline fails.  I want it to terminate, and the script to exit.  Any thoughts?</description>
		<content:encoded><![CDATA[<p>This makes sense.  What I am puzzling over at the moment is how to terminate<br />
the flow in a pipeline if say the first command in the pipeline fails.  I want it to terminate, and the script to exit.  Any thoughts?</p>
]]></content:encoded>
	</item>
</channel>
</rss>
